Basic dsp functionality
Flext dsp class

## Typedefs

typedef t_sample * | flext_dsp::t_signalvec
| typedef describing a signal vector More...

## Functions

float | flext_dsp::Samplerate () const
| returns current sample rate More...
int | flext_dsp::Blocksize () const
| returns current block (aka vector) size More...
t_sample *const * | flext_dsp::InSig () const
| returns array of input vectors (CntInSig() vectors) More...
t_sample * | flext_dsp::InSig (int i) const
| returns input vector More...
t_sample *const * | flext_dsp::OutSig () const
| returns array of output vectors (CntOutSig() vectors) More...
t_sample * | flext_dsp::OutSig (int i) const
| returns output vector More...

## Detailed Description

## Typedef Documentation

## t_signalvec

typedef t_sample* flext_dsp::t_signalvec

typedef describing a signal vector

## Function Documentation

## Blocksize()

int flext_dsp::Blocksize | ( |  | ) | const

inline

returns current block (aka vector) size

## InSig() [1/2]

t_sample* const* flext_dsp::InSig | ( |  | ) | const

inline

returns array of input vectors (CntInSig() vectors)

## InSig() [2/2]

t_sample* flext_dsp::InSig | ( | int | i | ) | const

inline

returns input vector

## OutSig() [1/2]

t_sample* const* flext_dsp::OutSig | ( |  | ) | const

inline

returns array of output vectors (CntOutSig() vectors)

## OutSig() [2/2]

t_sample* flext_dsp::OutSig | ( | int | i | ) | const

inline

returns output vector

## Samplerate()

float flext_dsp::Samplerate | ( |  | ) | const

inline

returns current sample rate